Skip to main content
GET
/
main-page
/
transactions
/
watchlist
Last 6 transactions from the current user's watchlist
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/main-page/transactions/watchlist?apikey='
[
  {
    "has_error_in_internal_transactions": true,
    "block_number": 123,
    "exchange_rate": "<string>",
    "transaction_types": [
      "coin_transfer"
    ],
    "historic_exchange_rate": "<string>",
    "nonce": 1,
    "timestamp": "2023-11-07T05:31:56Z",
    "base_fee_per_gas": "<string>",
    "token_transfers": [
      {
        "block_hash": "<string>",
        "block_number": 123,
        "from": {
          "ens_domain_name": "<string>",
          "hash": "<string>",
          "implementations": [
            {
              "address_hash": "<string>",
              "name": "<string>"
            }
          ],
          "is_contract": true,
          "is_scam": true,
          "is_verified": true,
          "metadata": {
            "tags": [
              {
                "meta": {},
                "name": "<string>",
                "ordinal": 123,
                "slug": "<string>",
                "tagType": "<string>"
              }
            ]
          },
          "name": "<string>",
          "proxy_type": "eip1167",
          "reputation": "ok",
          "private_tags": [
            {
              "address_hash": "<string>",
              "display_name": "<string>",
              "label": "<string>"
            }
          ],
          "public_tags": [
            {
              "address_hash": "<string>",
              "display_name": "<string>",
              "label": "<string>"
            }
          ],
          "watchlist_names": [
            {
              "display_name": "<string>",
              "label": "<string>"
            }
          ]
        },
        "log_index": 123,
        "method": "transfer",
        "timestamp": "2023-11-07T05:31:56Z",
        "to": {
          "ens_domain_name": "<string>",
          "hash": "<string>",
          "implementations": [
            {
              "address_hash": "<string>",
              "name": "<string>"
            }
          ],
          "is_contract": true,
          "is_scam": true,
          "is_verified": true,
          "metadata": {
            "tags": [
              {
                "meta": {},
                "name": "<string>",
                "ordinal": 123,
                "slug": "<string>",
                "tagType": "<string>"
              }
            ]
          },
          "name": "<string>",
          "proxy_type": "eip1167",
          "reputation": "ok",
          "private_tags": [
            {
              "address_hash": "<string>",
              "display_name": "<string>",
              "label": "<string>"
            }
          ],
          "public_tags": [
            {
              "address_hash": "<string>",
              "display_name": "<string>",
              "label": "<string>"
            }
          ],
          "watchlist_names": [
            {
              "display_name": "<string>",
              "label": "<string>"
            }
          ]
        },
        "token": {
          "address_hash": "<string>",
          "circulating_market_cap": "<string>",
          "decimals": "<string>",
          "exchange_rate": "<string>",
          "holders_count": "<string>",
          "icon_url": "https://example.com",
          "name": "<string>",
          "reputation": "ok",
          "symbol": "<string>",
          "total_supply": "<string>",
          "type": "ERC-20",
          "volume_24h": "<string>",
          "bridge_type": "omni",
          "foreign_address": "<string>",
          "origin_chain_id": "<string>"
        },
        "token_type": "ERC-20",
        "total": {
          "token_id": "<string>",
          "token_instance": {
            "animation_url": "https://example.com",
            "external_app_url": "https://example.com",
            "id": "<string>",
            "image_url": "https://example.com",
            "is_unique": true,
            "media_type": "image/png",
            "media_url": "https://example.com",
            "metadata": {
              "description": "Test",
              "image": "https://example.com/image.png",
              "name": "Test"
            },
            "owner": {
              "ens_domain_name": "<string>",
              "hash": "<string>",
              "implementations": [
                {
                  "address_hash": "<string>",
                  "name": "<string>"
                }
              ],
              "is_contract": true,
              "is_scam": true,
              "is_verified": true,
              "metadata": {
                "tags": [
                  {
                    "meta": {},
                    "name": "<string>",
                    "ordinal": 123,
                    "slug": "<string>",
                    "tagType": "<string>"
                  }
                ]
              },
              "name": "<string>",
              "proxy_type": "eip1167",
              "reputation": "ok",
              "private_tags": [
                {
                  "address_hash": "<string>",
                  "display_name": "<string>",
                  "label": "<string>"
                }
              ],
              "public_tags": [
                {
                  "address_hash": "<string>",
                  "display_name": "<string>",
                  "label": "<string>"
                }
              ],
              "watchlist_names": [
                {
                  "display_name": "<string>",
                  "label": "<string>"
                }
              ]
            },
            "thumbnails": {
              "original": "<string>",
              "250x250": "<string>",
              "500x500": "<string>",
              "60x60": "<string>"
            },
            "token": {
              "address_hash": "<string>",
              "circulating_market_cap": "<string>",
              "decimals": "<string>",
              "exchange_rate": "<string>",
              "holders_count": "<string>",
              "icon_url": "https://example.com",
              "name": "<string>",
              "reputation": "ok",
              "symbol": "<string>",
              "total_supply": "<string>",
              "type": "ERC-20",
              "volume_24h": "<string>",
              "bridge_type": "omni",
              "foreign_address": "<string>",
              "origin_chain_id": "<string>"
            },
            "token_type": "ERC-20",
            "value": "<string>"
          }
        },
        "transaction_hash": "<string>",
        "type": "token_burning"
      }
    ],
    "decoded_input": {
      "method_call": "<string>",
      "method_id": "<string>",
      "parameters": [
        {
          "name": "<string>",
          "type": "<string>",
          "value": {}
        }
      ]
    },
    "gas_price": "<string>",
    "gas_limit": "<string>",
    "actions": [
      {
        "data": {},
        "protocol": "uniswap_v3",
        "type": "mint_nft"
      }
    ],
    "fee": {
      "type": "maximum",
      "value": "<string>"
    },
    "method": "transfer",
    "authorization_list": [
      {
        "address_hash": "<string>",
        "authority": "<string>",
        "chain_id": 123,
        "nonce": "<string>",
        "r": "<string>",
        "s": "<string>",
        "status": "ok",
        "v": 123
      }
    ],
    "to": {
      "ens_domain_name": "<string>",
      "hash": "<string>",
      "implementations": [
        {
          "address_hash": "<string>",
          "name": "<string>"
        }
      ],
      "is_contract": true,
      "is_scam": true,
      "is_verified": true,
      "metadata": {
        "tags": [
          {
            "meta": {},
            "name": "<string>",
            "ordinal": 123,
            "slug": "<string>",
            "tagType": "<string>"
          }
        ]
      },
      "name": "<string>",
      "proxy_type": "eip1167",
      "reputation": "ok",
      "private_tags": [
        {
          "address_hash": "<string>",
          "display_name": "<string>",
          "label": "<string>"
        }
      ],
      "public_tags": [
        {
          "address_hash": "<string>",
          "display_name": "<string>",
          "label": "<string>"
        }
      ],
      "watchlist_names": [
        {
          "display_name": "<string>",
          "label": "<string>"
        }
      ]
    },
    "status": "ok",
    "gas_used": "<string>",
    "from": {
      "ens_domain_name": "<string>",
      "hash": "<string>",
      "implementations": [
        {
          "address_hash": "<string>",
          "name": "<string>"
        }
      ],
      "is_contract": true,
      "is_scam": true,
      "is_verified": true,
      "metadata": {
        "tags": [
          {
            "meta": {},
            "name": "<string>",
            "ordinal": 123,
            "slug": "<string>",
            "tagType": "<string>"
          }
        ]
      },
      "name": "<string>",
      "proxy_type": "eip1167",
      "reputation": "ok",
      "private_tags": [
        {
          "address_hash": "<string>",
          "display_name": "<string>",
          "label": "<string>"
        }
      ],
      "public_tags": [
        {
          "address_hash": "<string>",
          "display_name": "<string>",
          "label": "<string>"
        }
      ],
      "watchlist_names": [
        {
          "display_name": "<string>",
          "label": "<string>"
        }
      ]
    },
    "value": "<string>",
    "created_contract": {
      "ens_domain_name": "<string>",
      "hash": "<string>",
      "implementations": [
        {
          "address_hash": "<string>",
          "name": "<string>"
        }
      ],
      "is_contract": true,
      "is_scam": true,
      "is_verified": true,
      "metadata": {
        "tags": [
          {
            "meta": {},
            "name": "<string>",
            "ordinal": 123,
            "slug": "<string>",
            "tagType": "<string>"
          }
        ]
      },
      "name": "<string>",
      "proxy_type": "eip1167",
      "reputation": "ok",
      "private_tags": [
        {
          "address_hash": "<string>",
          "display_name": "<string>",
          "label": "<string>"
        }
      ],
      "public_tags": [
        {
          "address_hash": "<string>",
          "display_name": "<string>",
          "label": "<string>"
        }
      ],
      "watchlist_names": [
        {
          "display_name": "<string>",
          "label": "<string>"
        }
      ]
    },
    "transaction_tag": "personal",
    "max_priority_fee_per_gas": "<string>",
    "position": 1,
    "confirmations": 1,
    "token_transfers_overflow": true,
    "type": 123,
    "transaction_burnt_fee": "<string>",
    "confirmation_duration": [
      1000,
      2000
    ],
    "revert_reason": {
      "method_call": "<string>",
      "method_id": "<string>",
      "parameters": [
        {
          "name": "<string>",
          "type": "<string>",
          "value": {}
        }
      ]
    },
    "max_fee_per_gas": "<string>",
    "hash": "<string>",
    "result": "pending",
    "is_pending_update": true,
    "raw_input": "<string>",
    "priority_fee": "<string>",
    "arbitrum": {
      "gas_used_for_l1": "<string>",
      "gas_used_for_l2": "<string>",
      "network_fee": "<string>",
      "poster_fee": "<string>",
      "batch_data_container": "<string>",
      "batch_number": 123,
      "commitment_transaction": {
        "hash": "<string>",
        "status": "unfinalized",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "confirmation_transaction": {
        "hash": "<string>",
        "status": "unfinalized",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "contains_message": "incoming",
      "message_related_info": {
        "associated_l1_transaction_hash": "<string>",
        "message_id": 123,
        "message_status": "Syncing with base layer"
      },
      "status": "Confirmed on base"
    }
  }
]

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

Response

List of watchlist transactions

has_error_in_internal_transactions
boolean | null
required
block_number
integer | null
required
exchange_rate
string | null
required
Pattern: ^([1-9][0-9]*|0)(\.[0-9]+)?$
transaction_types
enum<string>[]
required
Available options:
coin_transfer,
contract_call,
contract_creation,
rootstock_bridge,
rootstock_remasc,
token_creation,
token_transfer,
blob_transaction,
set_code_transaction
historic_exchange_rate
string | null
required
Pattern: ^([1-9][0-9]*|0)(\.[0-9]+)?$
nonce
integer
required
Required range: x >= 0
timestamp
string<date-time> | null
required
base_fee_per_gas
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
token_transfers
TokenTransfer · object[] | null
required
decoded_input
DecodedInput · object
required
gas_price
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
gas_limit
string
required
Pattern: ^-?([1-9][0-9]*|0)$
actions
object[] | null
required
fee
Fee · object
required
method
string | null
required

Method name or hex method id

Example:

"transfer"

authorization_list
SignedAuthorization · object[] | null
required
to
Address · object
required

Address

status
enum<string> | null
required
Available options:
ok,
error
gas_used
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
from
Address · object
required

Address

value
string
required
Pattern: ^-?([1-9][0-9]*|0)$
created_contract
Address · object
required

Address

transaction_tag
string | null
required

Transaction tag set in My Account

Example:

"personal"

max_priority_fee_per_gas
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
position
integer | null
required
Required range: x >= 0
confirmations
integer
required
Required range: x >= 0
token_transfers_overflow
boolean | null
required
type
integer | null
required
transaction_burnt_fee
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
confirmation_duration
integer[]
required

Array of time intervals in milliseconds. Can be empty [] (no info), single value [interval] (means that the transaction was confirmed within {interval} milliseconds), or two values [short_interval, long_interval] (means that the transaction's confirmation took from {short_interval} to {long_interval} milliseconds)

Maximum array length: 2

Duration in milliseconds

Required range: x >= 0
Example:
[1000, 2000]
revert_reason
DecodedInput · object
required
max_fee_per_gas
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
hash
string
required
Pattern: ^0x([A-Fa-f0-9]{64})$
result
required
Available options:
pending,
awaiting_internal_transactions,
success,
dropped/replaced
is_pending_update
boolean | null
required
raw_input
string
required
Pattern: ^0x([A-Fa-f0-9]*)$
priority_fee
string | null
required
Pattern: ^-?([1-9][0-9]*|0)$
arbitrum
object